# CbcDummyBranchingObject Class Reference

Dummy branching object. More...

`#include <CbcDummyBranchingObject.hpp>`

Inheritance diagram for CbcDummyBranchingObject:
[legend]
Collaboration diagram for CbcDummyBranchingObject:
[legend]

List of all members.

## Public Member Functions
| CbcDummyBranchingObject (CbcModel *model=NULL)
| Default constructor.
| CbcDummyBranchingObject (const CbcDummyBranchingObject &)
| Copy constructor.
CbcDummyBranchingObject & | operator= (const CbcDummyBranchingObject &rhs)
| Assignment operator.
virtual CbcBranchingObject * | clone () const
| Clone.
virtual | ~CbcDummyBranchingObject ()
| Destructor.
virtual double | branch ()
| Dummy branch.
virtual void | print ()
| Print something about branch - only if log level high.
virtual CbcBranchObjType | type () const
| Return the type (an integer identifier) of `this`.
virtual int | compareOriginalObject (const CbcBranchingObject *brObj) const
| Compare the original object of `this` with the original object of `brObj`.
virtual CbcRangeCompare | compareBranchingObject (const CbcBranchingObject *brObj, const bool replaceIfOverlap=false)
| Compare the `this` with `brObj`.

## Detailed Description

Dummy branching object.

This object specifies a one-way dummy branch. This is so one can carry on branching even when it looks feasible

Definition at line 18 of file CbcDummyBranchingObject.hpp.

## Constructor & Destructor Documentation

CbcDummyBranchingObject::CbcDummyBranchingObject | ( | CbcModel * | model = `NULL` | ) |

Default constructor.

CbcDummyBranchingObject::CbcDummyBranchingObject | ( | const CbcDummyBranchingObject & |  | ) |

Copy constructor.

virtual CbcDummyBranchingObject::~CbcDummyBranchingObject | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

CbcDummyBranchingObject& CbcDummyBranchingObject::operator= | ( | const CbcDummyBranchingObject & | rhs | ) |

Assignment operator.

Reimplemented from CbcBranchingObject.

virtual CbcBranchingObject* CbcDummyBranchingObject::clone | ( |  | ) | const`[virtual]`

Clone.

Implements CbcBranchingObject.

virtual double CbcDummyBranchingObject::branch | ( |  | ) | `[virtual]`

Dummy branch.

Implements CbcBranchingObject.

virtual void CbcDummyBranchingObject::print | ( |  | ) | `[virtual]`

Print something about branch - only if log level high.

virtual CbcBranchObjType CbcDummyBranchingObject::type | ( |  | ) | const`[inline, virtual]`

Return the type (an integer identifier) of `this`.

Implements CbcBranchingObject.

Definition at line 56 of file CbcDummyBranchingObject.hpp.

virtual int CbcDummyBranchingObject::compareOriginalObject | ( | const CbcBranchingObject * | brObj | ) | const`[virtual]`

Compare the original object of `this` with the original object of `brObj`.

Assumes that there is an ordering of the original objects. This method should be invoked only if `this` and brObj are of the same type. Return negative/0/positive depending on whether `this` is smaller/same/larger than the argument.

virtual CbcRangeCompare CbcDummyBranchingObject::compareBranchingObject | ( | const CbcBranchingObject * | brObj,
|  | const bool | replaceIfOverlap = `false` |
| ) |  |  | `[virtual]`

Compare the `this` with `brObj`.

`this` and `brObj` must be os the same type and must have the same original object, but they may have different feasible regions. Return the appropriate CbcRangeCompare value (first argument being the sub/superset if that's the case). In case of overlap (and if `replaceIfOverlap` is true) replace the current branching object with one whose feasible region is the overlap.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.8.0/Cbc/src/CbcDummyBranchingObject.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines